LINUX.ORG.RU

Статическая сборка gtkmm


0

1

Нужно статически собрать gtkmm3 (3.0.1). ./configure выдал что необходимы другие либы (giomm, pangomm, gtk+, gdk-pixbuf, cairomm). Возникает вопрос - чтобы статически собрать gtkmm, нужно статически собрать все нужные вышеперечисленные либы?

Ответ на: комментарий от yandzee

Если их ./configure предполагают эти флаги, то хватит. В противном случае придется извращаться.

buddhist ★★★★★ ()
Ответ на: комментарий от yandzee

./configure --help
/code[]
сообщает, что ему можно передать.

А разве по-умолчанию не собираются как динамические, так и статические библиотеки, которые просто-напросто архивы объектников?
gag ★★★★★ ()
Ответ на: комментарий от gag
./configure --help

сообщает, что ему можно передать.

А разве по-умолчанию не собираются как динамические, так и статические библиотеки, которые просто-напросто архивы объектников?

gag ★★★★★ ()
Ответ на: комментарий от gag

Вроде как собирается по-умолчанию динамически...

Еще вопрос: собираю glib, говорит нужен zlib, мне его тоже статически собирать?

Я должен собрать все зависимые библеотеки статически?

yandzee ()
Ответ на: комментарий от yandzee

Ну я ж говорю, а может по-умолчанию. Нужно взять и попробовать (ведь собирается в считанные секунды).

mkdir zlib
cd zlib
wget http://ftp.de.debian.org/debian/pool/main/z/zlib/zlib_1.2.7.dfsg.orig.tar.gz
tar xf zlib_1.2.7.dfsg.orig.tar.gz
cd zlib-1.2.7
./configure
make
...
ar rc libz.a adler32.o crc32.o deflate.o infback.o inffast.o inflate.o inftrees.o trees.o zutil.o compress.o uncompr.o gzclose.o gzlib.o gzread.o gzwrite.o
...
Вот тебе и libz.a

gag ★★★★★ ()
Ответ на: комментарий от gag

Дошел до сборки cairomm, зачитал ман, написано что нужны pixman, libpng, zlib, cairo - как зависимости... Сделал configure, даже предупреждения не было о том что нет таких пакетов в системе. В чем-то подвох?

yandzee ()
Ответ на: комментарий от yandzee

Так мне удалённо тяжело сказать. Для сборки, как правило, достаточно, если в твоём дистрибутиве установлены -dev версии требуемых пакетов. Другой вопрос - если собирается статическая версия либы. Тогда необходимы статические либы «зависимостей». Из-за этого при их отсутствии в стандартных пакетах, нужно их собирать самому.

А вообще, на configure ведь дело не заканчивается. Тут нет ничего страшного сразу после успешного configure запустить и make.

gag ★★★★★ ()
Ответ на: комментарий от gag

Напоролся на еще одну ошибку. Собирал glib-2.31-2... configure выдает Could not determine values for AF_inet * constants

Нагуглить не смог, показывает лишь листинги кодов...

yandzee ()
Ответ на: комментарий от yandzee

Версии вида 2.(нечётное число) - тестовые. Т.е. после тестирования 2.31 была выпущена 2.32, которая считается стабильной. Лучше пробовать её.

А для более точного ответа на форуме лучше воспользовать тегами и привести строку с ошибкой и несколько релевантных строчек выше.

gag ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.